Subject: (ROSE) VC++ 6.0 code generation bug when dering from nested class
From: <[email-masked]>
To: <[email-masked]>
Date: Fri, 8 Nov 2002 10:32:54 +0100

Hi'

I have a class A that derives from B::Nested. When I code generate to Visual C++ 6.0 the generated code looks like this class A : public Nested and not like this which is the correct class A : public B::Nested. 

Is there a fix or work around for this problem for this? I know I can make the nested class a non-nested one but I will prefer not to.

I use Rose 2002 version 2002.05.20, Visual Studio 6.0 service pack 5 and Windows 2000 service pack 2.

Regards 
Claus Jakobsen
************************************************************************
* Rose Forum is a public venue for ideas and discussions.
* For technical support, visit http://www.rational.com/support
*
* Post or Reply to: [email-masked]
* Subscription Requests: [email-masked]
* Archive of messages:
*    http://www.rational.com/support/usergroups/rose/rose_forum.jsp
* Other Requests: [email-masked]
*
* To unsubscribe from the list, please send email
*    To: [email-masked]
*    Subject: <BLANK>
*    Body: unsubscribe rose_forum
*************************************************************************